Page MenuHomePhabricator

EchoMentionInSummaryPresentationModel: PHP error "Cannot access property on non-object"
Closed, ResolvedPublic

Description

Error

Request URL: Special:Notifications and api.php?…meta=notifications
Request ID: XRPZEgpAIDcAAKHGhycAAABH

message
PHP Notice: Cannot access property on non-object
trace
#0 /srv/mediawiki/php-1.34.0-wmf.11/extensions/Echo/includes/formatters/MentionInSummaryPresentationModel.php(26): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.34.0-wmf.11/extensions/Echo/includes/formatters/EventPresentationModel.php(527): EchoMentionInSummaryPresentationModel->getBodyMessage()
#2 /srv/mediawiki/php-1.34.0-wmf.11/extensions/Echo/includes/formatters/EchoModelFormatter.php(13): EchoEventPresentationModel->jsonSerialize()
#3 /srv/mediawiki/php-1.34.0-wmf.11/extensions/Echo/includes/formatters/EchoEventFormatter.php(72): EchoModelFormatter->formatModel(EchoMentionInSummaryPresentationModel)
#4 /srv/mediawiki/php-1.34.0-wmf.11/extensions/Echo/includes/DataOutputFormatter.php(189): EchoEventFormatter->format(EchoEvent)
#5 /srv/mediawiki/php-1.34.0-wmf.11/extensions/Echo/includes/DataOutputFormatter.php(149): EchoDataOutputFormatter::formatNotification(EchoEvent, User, string, LanguageEn)
#6 /srv/mediawiki/php-1.34.0-wmf.11/extensions/Echo/includes/api/ApiEchoNotifications.php(289): EchoDataOutputFormatter::formatOutput(EchoNotification, string, User, LanguageEn)
#7 /srv/mediawiki/php-1.34.0-wmf.11/extensions/Echo/includes/api/ApiEchoNotifications.php(109): ApiEchoNotifications->getPropList(User, array, array, integer, NULL, string, NULL, boolean, boolean)
#8 /srv/mediawiki/php-1.34.0-wmf.11/extensions/Echo/includes/api/ApiEchoNotifications.php(40): ApiEchoNotifications->getLocalNotifications(array)
#9 /srv/mediawiki/php-1.34.0-wmf.11/includes/api/ApiQuery.php(250): ApiEchoNotifications->execute()
#10 /srv/mediawiki/php-1.34.0-wmf.11/includes/api/ApiMain.php(1583): ApiQuery->execute()
#11 /srv/mediawiki/php-1.34.0-wmf.11/includes/api/ApiMain.php(531): ApiMain->executeAction()
#12 /srv/mediawiki/php-1.34.0-wmf.11/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#13 /srv/mediawiki/php-1.34.0-wmf.11/api.php(87): ApiMain->execute()
#14 /srv/mediawiki/w/api.php(3): include(string)

Impact

Unknown / To be determined..

Notes

Source: Echo:/MentionInSummaryPresentationModel.php

	public function getBodyMessage() {
		$revision = $this->event->getRevision();
		if ( $revision && $this->userCan( RevisionRecord::DELETED_COMMENT ) ) {
			$summary = $revision->getComment()->text;

Affects en.wikipedia, zh-yue.wikipedia, en.wiktionary and others.

Seen since at least 1.34-wmf.6.

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : masterMentionInSummaryPresentationModel: Fix PHP error

Event Timeline

Krinkle created this task.Jun 26 2019, 11:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2019, 11:36 PM
Krinkle updated the task description. (Show Details)Jul 10 2019, 6:25 PM

Change 523366 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Echo@master] MentionInSummaryPresentationModel: Fix PHP error

https://gerrit.wikimedia.org/r/523366

Catrope claimed this task.Jul 16 2019, 12:09 AM
Catrope edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
Catrope moved this task from Incoming to Code Review on the Growth-Team (Current Sprint) board.

Change 523366 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] MentionInSummaryPresentationModel: Fix PHP error

https://gerrit.wikimedia.org/r/523366

Krinkle closed this task as Resolved.Jul 22 2019, 4:56 PM
Krinkle removed a project: Patch-For-Review.

Verified in Logstash.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:06 PM